VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
  Persistable = 0  'NotPersistable
  DataBindingBehavior = 0  'vbNone
  DataSourceBehavior  = 0  'vbNone
  MTSTransactionMode  = 0  'NotAnMTSObject
END
Attribute VB_Name = "httpCookie"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False
Attribute VB_Ext_KEY = "SavedWithClassBuilder6" ,"Yes"
Attribute VB_Ext_KEY = "Top_Level" ,"Yes"
Option Explicit

Private myCookies() As httpCookieVariable

Public Sub NewCookie(theCookie As httpCookieVariable)
    Dim X As Long
    For X = 1 To UBound(myCookies)
        If CookieVergleich(myCookies(X), theCookie) Then
            Set myCookies(X) = Nothing
            Set myCookies(X) = theCookie
            Exit Sub
        End If
    Next
    ReDim Preserve myCookies(UBound(myCookies) + 1) As httpCookieVariable
    Set myCookies(UBound(myCookies)) = theCookie
End Sub

Private Sub Class_Initialize()
    NewInstanz "httpCookie"
    ReDim myCookies(0) As httpCookieVariable
End Sub

Private Sub Class_Terminate()
    Dim X As Long
    For X = 1 To UBound(myCookies)
        Set myCookies(X) = Nothing
    Next
    UnloadInstanz "httpCookie"
End Sub

Public Function GetString(URL As String) As String
    GetString = ""
    Dim httpURL As AhttpURL
    httpURL = Get_AhttpURL(URL)
    Dim X As Long
    Dim Pfad As String
    Pfad = ""
    Do
        If Pfad = "" Then
            Pfad = httpURL.Path
        Else
            Pfad = "/" + GetFilePath(Pfad)
            If Not Right$(Pfad, 1) = "/" Then Pfad = Pfad + "/"
        End If
        For X = 1 To UBound(myCookies)
            If Not myCookies(X) Is Nothing Then
                If UCase$(myCookies(X).Domain) = UCase$(httpURL.Domain) Then
                    If UCase$(myCookies(X).Path) = UCase$(Pfad) Then
                        GetString = GetString + IIf((GetString = ""), "", "; ") + myCookies(X).myName + "=" + myCookies(X).myValue
                    End If
                End If
            End If
        Next
    Loop While Pfad <> "/"
End Function

Public Function GetAnzahlCookies() As Long
    GetAnzahlCookies = UBound(myCookies)
End Function

Public Function GetCookie(Index As Long) As httpCookieVariable
    Set GetCookie = myCookies(Index)
End Function
